=== pixmaps/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import Build

# start each filename with a space
pixmap_files  = ''
pixmap_files += ' Jc_Gui.png'
pixmap_files += ' Jc_Gui-warn.png'
pixmap_files += ' gxjc_on.png'
pixmap_files += ' gxjc_off.png'  
pixmap_files += ' jc_on.png'
pixmap_files += ' jc_off.png'  


def configure(conf):
    pass

def build(bld):
    bld.install_files(bld.env['GX_PIXMAPS_DIR'], pixmap_files, chmod=0644)
