=== debian/changelog ===
jcgui (0.7-1) unstable; urgency=low

  * Initial release (Closes: #562174).

 -- Alessio Treglia <alessio@debian.org>  Sun, 20 Jun 2010 19:08:35 +0200
