=== debian/control ===
Source: jcgui
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 libjack-dev,
 libsndfile1-dev,
 libgtk2.0-dev             
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jcgui.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jcgui.git
Homepage: http://jcgui.sourceforge.net/

Package: jcgui
Architecture: any
Depends: ${shlibs:Depends},
 jconvolver,
 ${misc:Depends}
Description: a simple Host wrap around jconvolver/jconv
 Frontend for jconvolver/jconv (convolve engine)
 .
 This utility allow you control most important parameters of
 jconvolver/jconv from GUI and also store and recall presets.
