=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure   --prefix=/usr --cxxflags="$(CXXFLAGS)"

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/jcgui
