=== debian/watch ===
# Site		Directory	Pattern		Version	Script
version=3

http://sf.net/jcgui/jcgui-([\d.]+)-nopkg\.tar\.bz2
