## jcgui 0.7+dfsg0

=== debian/changelog ===
jcgui (0.7+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the 'waf' blob (Closes: #654479).
  * Add debian/unpack_waf.sh script.
  * debian/watch:
    - Fix tarball's URL.
    - Mangle Debian's versioning.
  * debian/rules:
    - Provide a mechanism to re-generate a DFSG-clean tarball.
    - Prune *.pyc files.
  * debian/control:
    - Bump Standards.
    - Package description should not start with an article.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 13:13:39 +0100

jcgui (0.7-2) unstable; urgency=low

  * Bump standards.
  * Copyright file upgraded to DEP-5 rev.162.
  * sign-tags added to gbp.conf.
  * local-option file added to unapply patches.
  * Fix "wet/dry" slider description.
  * Change eq knobs order according to more usual audio standard.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 28 Jan 2011 15:33:32 +0100
