=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libjack-dev,
  libsndfile1-dev,
  libgtk2.0-dev             
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/jcgui.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jcgui.git
@@ -20,7 +20,7 @@
 Depends: ${shlibs:Depends},
  jconvolver,
  ${misc:Depends}
-Description: a simple Host wrap around jconvolver/jconv
+Description: simple Host wrap around jconvolver/jconv
  Frontend for jconvolver/jconv (convolve engine)
  .
  This utility allow you control most important parameters of
