=== debian/watch ===
version=3
opts=dversionmangle=s/[+.~]dfsg\d*// \
http://sf.net/jcgui/jcgui-([\d.]+)\.tar\.bz2
